[@bigcommerce/checkout-sdk](../README.md) / ConsignmentDiscountBase

# Interface: ConsignmentDiscountBase\<T\>

## Type parameters

| Name |
| :------ |
| `T` |

## Hierarchy

- **`ConsignmentDiscountBase`**

  ↳ [`ConsignmentCouponDiscount`](ConsignmentCouponDiscount.md)

## Table of contents

### Properties

- [amount](ConsignmentDiscountBase.md#amount)
- [id](ConsignmentDiscountBase.md#id)
- [type](ConsignmentDiscountBase.md#type)

## Properties

### amount

• **amount**: `number`

___

### id

• **id**: `number`

___

### type

• **type**: `T`
